%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           gfotostat
Version:        0.2
Release:        1%{?dist}
Summary:        A stat generator for photographs

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://gfotostat.dgplug.org
Source0:        http://gfotostat.dgplug.org/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  python-devel, python-setuptools desktop-file-utils, python-distutils-extra, intltool
Requires:       pyexiv2, python-matplotlib


%description
Generates statistic details from photographs


%prep
%setup -q


%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1  --root $RPM_BUILD_ROOT

desktop-file-install                    \
--dir=${RPM_BUILD_ROOT}%{_datadir}/applications           \
%{buildroot}/%{_datadir}/applications/gfotostat.desktop


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README COPYING
%{_bindir}/gfotostat
%{_datadir}/gfotostat*
%{_datadir}/pixmaps/gfotostat.png
%{_datadir}/applications/gfotostat*.desktop
%{python_sitelib}/*.egg-info


%changelog
* Wed May 19 2010 Kishan Goyal <fabhoneydew@gmail.com> 0.2-1
- First updated release
* Thu Mar 25 2010 Meejanur Rahaman <realmeejan@gmail.com> 0.1-1
- Initial release
